LogHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.logging
Class LogHandler

    java.lang.Object
      org.jagatoo.logging.LogHandler

Direct Known Subclasses:
  ConsoleLog, FileLog

    public abstract class LogHandler

extends java.lang.Object

Author:
  David Yazel, Marvin Froehlich (aka Qudus)

Constructor Summary
`LogHandler(int channelFilter, int logLevel)`
`LogHandler(int channelFilter, LogLevel logLevel)`

Method Summary
`boolean` | `acceptsChannel(LogChannel channel)`
`boolean` | `acceptsChannelAndLevel(LogChannel channel, int logLevel)`
`abstract void` | `close()`
`abstract void` | `endMessage()`
`protected void` | `finalize()`
`abstract void` | `flush()`
`int` | `getChannelFilter()`
`LogLevel` | `getLogLevel()`
`int` | `getLogLevelLevel()`
`abstract void` | `print(LogChannel channel, int logLevel, java.lang.String message)`
`abstract void` | `print(LogChannel channel, int logLevel, java.lang.Throwable t)`
`abstract void` | `println(LogChannel channel, int logLevel, java.lang.String message)`
`void` | `setChannelFilter(int filter)`
`void` | `setLogLevel(int logLevel)`
`void` | `setLogLevel(LogLevel logLevel)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogHandler

    public LogHandler(int channelFilter,
                      LogLevel logLevel)

### LogHandler

    public LogHandler(int channelFilter,
                      int logLevel)

Method Detail

### setLogLevel

    public void setLogLevel(int logLevel)

### setLogLevel

    public final void setLogLevel(LogLevel logLevel)

### getLogLevel

    public final LogLevel getLogLevel()

### getLogLevelLevel

    public final int getLogLevelLevel()

### setChannelFilter

    public void setChannelFilter(int filter)

### getChannelFilter

    public final int getChannelFilter()

### acceptsChannel

    public final boolean acceptsChannel(LogChannel channel)

### acceptsChannelAndLevel

    public boolean acceptsChannelAndLevel(LogChannel channel,
                                          int logLevel)

### print

    public abstract void print(LogChannel channel,
                               int logLevel,
                               java.lang.String message)

### println

    public abstract void println(LogChannel channel,
                                 int logLevel,
                                 java.lang.String message)

### print

    public abstract void print(LogChannel channel,
                               int logLevel,
                               java.lang.Throwable t)

### endMessage

    public abstract void endMessage()

### flush

    public abstract void flush()

### close

    public abstract void close()

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD